summaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-02-20 09:00:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-02-20 09:04:52 +0000
commitb7a1306d5eca8672c0223d2e129443bf34831589 (patch)
treed47418707e6e306eda5f516fb8f6c36f8bf6b3c8 /main
parent29cdd579d0df93ededd1e0f33cfcaa82c0b03c5a (diff)
downloadaports-b7a1306d5eca8672c0223d2e129443bf34831589.tar.bz2
aports-b7a1306d5eca8672c0223d2e129443bf34831589.tar.xz
main/augeas: upgrade to 1.0.0 and split out libs
Diffstat (limited to 'main')
-rw-r--r--main/augeas/APKBUILD25
-rw-r--r--main/augeas/augeas-requires-libxml2.patch20
-rw-r--r--main/augeas/regexp.c.patch15
3 files changed, 16 insertions, 44 deletions
diff --git a/main/augeas/APKBUILD b/main/augeas/APKBUILD
index c5ee5efab..5c629a36a 100644
--- a/main/augeas/APKBUILD
+++ b/main/augeas/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=augeas
-pkgver=0.10.0
-pkgrel=2
+pkgver=1.0.0
+pkgrel=0
pkgdesc="a configuration editing tool"
url="http://augeas.net"
arch="all"
@@ -10,10 +10,8 @@ depends=
depends_dev="libxml2-dev"
makedepends="$depends_dev readline-dev"
install=
-subpackages="$pkgname-dev $pkgname-doc $pkgname-tests"
-source="http://augeas.net/download/augeas-$pkgver.tar.gz
- regexp.c.patch
- augeas-requires-libxml2.patch
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tests $pkgname-libs"
+source="http://download.augeas.net/augeas-$pkgver.tar.gz
"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -51,6 +49,15 @@ tests() {
mv "$pkgdir"/usr/share/augeas/lenses/dist/tests \
"$subpkgdir"/usr/share/augeas/lenses/dist/
}
-md5sums="fe1834e90a066c3208ac0214622c7352 augeas-0.10.0.tar.gz
-a9f0fe2cd7e6aebf916747207cc2b537 regexp.c.patch
-ea212ab45cde19301646b974cc0941e8 augeas-requires-libxml2.patch"
+
+libs() {
+ pkgdesc="Libraries for augeas"
+ mkdir -p "$subpkgdir"/usr/ "$subpkgdir"/usr/share/augeas/
+ mv "$pkgdir"/usr/lib "$subpkgdir"/usr/ || return 1
+ mv "$pkgdir"/usr/share/augeas/lenses \
+ "$subpkgdir"/usr/share/augeas/ || return 1
+}
+
+md5sums="82131019432ecf8102e1491610ad2dd1 augeas-1.0.0.tar.gz"
+sha256sums="31bf757c5b8197765946b3805f3793c32b03cd92a7a77ec95d37e71a1f131912 augeas-1.0.0.tar.gz"
+sha512sums="63744d9021e5965d61416beb8193506468e9c79c154e40f3ad46c487d5a26d93f6a31d5b0946d4c5d87e1682e29ee386124a30f9dd6d60621542de456975793a augeas-1.0.0.tar.gz"
diff --git a/main/augeas/augeas-requires-libxml2.patch b/main/augeas/augeas-requires-libxml2.patch
deleted file mode 100644
index 64e45695d..000000000
--- a/main/augeas/augeas-requires-libxml2.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-From 11b00ad49301ae6e246eae3e5ee64a80e2084a43 Mon Sep 17 00:00:00 2001
-From: Richard W.M. Jones <rjones@redhat.com>
-Date: Sat, 03 Dec 2011 14:21:50 +0000
-Subject: pkg-config: Augeas requires libxml2.
-
----
-diff --git a/augeas.pc.in b/augeas.pc.in
-index c97847d..9e166db 100644
---- a/augeas.pc.in
-+++ b/augeas.pc.in
-@@ -6,6 +6,6 @@ includedir=@includedir@
- Name: augeas
- Version: @VERSION@
- Description: Augeas configuration editing library
--Requires:
-+Requires.private: libxml-2.0
- Libs: -L${libdir} -laugeas @LIBS@
- Cflags: -I${includedir}
---
-cgit v0.9.0.2
diff --git a/main/augeas/regexp.c.patch b/main/augeas/regexp.c.patch
deleted file mode 100644
index 87ba795ba..000000000
--- a/main/augeas/regexp.c.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-X-Git-Url: http://git.fedorahosted.org/git?p=augeas.git;a=blobdiff_plain;f=src%2Fregexp.c;h=811087d8f2de1d7adc80b4d9308dc7c9f3827c99;hp=cf0ea5d37e21bed27295bd788fc474ba900a910d;hb=021ea39f8e400225e2d01b4c62eb9d56404f2ecd;hpb=1d5b19760d4d92153a8eb9279bf9709b7ead20c7
-
-diff --git a/src/regexp.c b/src/regexp.c
-index cf0ea5d..811087d 100644
---- a/src/regexp.c
-+++ b/src/regexp.c
-@@ -50,7 +50,7 @@ char *regexp_escape(const struct regexp *r) {
- ret = fa_restrict_alphabet(r->pattern->str, strlen(r->pattern->str),
- &nre, &nre_len, 2, 1);
- if (ret == 0) {
-- pat = escape(nre, nre_len);
-+ pat = escape(nre, nre_len, RX_ESCAPES);
- free(nre);
- }
- #endif